Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.handler
Class GenericHandler

    java.lang.Object
      javax.xml.rpc.handler.GenericHandler

All Implemented Interfaces:
  Handler

public abstract class GenericHandler
extends java.lang.Object
implements Handler

The `javax.xml.rpc.handler.GenericHandler` class implements the `Handler` interface. SOAP Message Handler developers should typically subclass `GenericHandler` class unless the Handler class needs another class as a superclass.

The `GenericHandler` class is a convenience abstract class that makes writing Handlers easy. This class provides default implementations of the lifecycle methods `init` and `destroy` and also different handle methods. A Handler developer should only override methods that it needs to specialize as part of the derived `Handler` implementation class.

Version:
  1.0
Author:
  Rahul Sharma

Constructor Summary
`protected` | `GenericHandler()` Default constructor

Method Summary
`void` | `destroy()` The `destroy` method indicates the end of lifecycle for a Handler instance.
`abstract QName[]` | `getHeaders()` Gets the header blocks processed by this Handler instance.
`boolean` | `handleFault(MessageContext context)` The `handleFault` method processes the SOAP faults based on the SOAP message processing model.
`boolean` | `handleRequest(MessageContext context)` The `handleRequest` method processes the request SOAP message.
`boolean` | `handleResponse(MessageContext context)` The `handleResponse` method processes the response message.
`void` | `init(HandlerInfo config)` The `init` method to enable the Handler instance to initialize itself.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericHandler

    protected GenericHandler()

  Default constructor

Method Detail

### handleRequest

    public boolean handleRequest(MessageContext context)

  The `handleRequest` method processes the request SOAP message. The default implementation of this method returns `true`. This indicates that the handler chain should continue processing of the request SOAP message. This method should be overridden if the derived Handler class needs to specialize implementation of this method.

  Specified by:
    `handleRequest` in interface `Handler`
  Parameters:
    `context` - `MessageContext` parameter provides access to the request message.
  Returns:
    boolean Indicates the processing mode
    - Return `true` to indicate continued processing of the request handler chain. The `HandlerChain` takes the responsibility of invoking the next entity. The next entity may be the next handler in the `HandlerChain` or if this handler is the last handler in the chain, the next entity is the service endpoint object.
    - Return `false` to indicate blocking of the request handler chain. In this case, further processing of the request handler chain is blocked and the target service endpoint is not dispatched. The JAX-RPC runtime system takes the responsibility of invoking the response handler chain next with the SOAPMessageContext. The Handler implementation class has the the responsibility of setting the appropriate response SOAP message in either handleRequest and/or handleResponse method. In the default processing model, the response handler chain starts processing from the same Handler instance (that returned false) and goes backward in the execution sequence.
  See Also:
    `Handler.handleRequest(javax.xml.rpc.handler.MessageContext)`

### handleResponse

    public boolean handleResponse(MessageContext context)

  The `handleResponse` method processes the response message. The default implementation of this method returns `true`. This indicates that the handler chain should continue processing of the response SOAP message. This method should be overridden if the derived Handler class needs to specialize implementation of this method.

  Specified by:
    `handleResponse` in interface `Handler`
  Parameters:
    `context` - MessageContext parameter provides access to the response SOAP message
  Returns:
    boolean Indicates the processing mode
    - Return `true` to indicate continued processing ofthe response handler chain. The HandlerChain invokes the `handleResponse` method on the next `Handler` in the handler chain.
    - Return `false` to indicate blocking of the response handler chain. In this case, no other response handlers in the handler chain are invoked.
  See Also:
    `Handler.handleResponse(javax.xml.rpc.handler.MessageContext)`

### handleFault

    public boolean handleFault(MessageContext context)

  The `handleFault` method processes the SOAP faults based on the SOAP message processing model. The default implementation of this method returns `true`. This indicates that the handler chain should continue processing of the SOAP fault. This method should be overridden if the derived Handler class needs to specialize implementation of this method.

  Specified by:
    `handleFault` in interface `Handler`
  Parameters:
    `context` - MessageContext parameter provides access to the SOAP message
  Returns:
    boolean Indicates the processing mode
    - Return `true` to indicate continued processing of SOAP Fault. The HandlerChain invokes the `handleFault` method on the next `Handler` in the handler chain.
    - Return `false` to indicate end of the SOAP fault processing. In this case, no other handlers in the handler chain are invoked.
  See Also:
    `Handler.handleFault(javax.xml.rpc.handler.MessageContext)`

### init

    public void init(HandlerInfo config)

  The `init` method to enable the Handler instance to initialize itself. This method should be overridden if the derived Handler class needs to specialize implementation of this method.

  Specified by:
    `init` in interface `Handler`
  See Also:
    `Handler.init(javax.xml.rpc.handler.HandlerInfo)`

### destroy

    public void destroy()

  The `destroy` method indicates the end of lifecycle for a Handler instance. This method should be overridden if the derived Handler class needs to specialize implementation of this method.

  Specified by:
    `destroy` in interface `Handler`
  See Also:
    `Handler.destroy()`

### getHeaders

    public abstract QName[] getHeaders()

  Gets the header blocks processed by this Handler instance.

  Specified by:
    `getHeaders` in interface `Handler`
  Returns:
    Array of QNames of header blocks processed by this handler instance. `QName` is the qualified name of the outermost element of the Header block.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.